#include <stdio.h>
#include <string.h>

double dp[52][52];
char vis[52][52];

double rec(int N, int S){
	if (N<0 || S<0) return 0;
	if (N==0) return 1;
	if (vis[N][S]) return dp[N][S]; else vis[N][S] = 1;
	return dp[N][S] = 2*rec(N-1,S) + rec(N-1,S-1);
}

int main(){
	for (int N,S; scanf("%d %d",&N,&S)!=EOF; ){
		memset(vis,0,sizeof(vis));
		printf("%.5lf\n", 100.0 * rec(N,S-1) / rec(N,S));
	}
}
